gnutls_hpke_derive_keypair(3)

NAME
gnutls_hpke_derive_keypair - API function

SYNOPSIS
#include <gnutls/hpke.h>

int gnutls_hpke_derive_keypair(gnutls_hpke_kem_t kem, const gnutls_datum_t * ikm, gnutls_privkey_t privkey, gnutls_pubkey_t pubkey);

ARGUMENTS

gnutls_hpke_kem_t kem
    The KEM algorithm to use for key pair generation.

const gnutls_datum_t * ikm
    A pointer to a gnutls_datum_t structure containing the input key material (IKM) to be used for key pair generation.

gnutls_privkey_t privkey
    An initialized private key.

gnutls_pubkey_t pubkey
    An initialized public key.

DESCRIPTION
This function derives a key pair (private key and public key) for the specified KEM algorithm from the provided input key material ( ikm ).

 ikm is used as a seed for the key generation process, allowing for deterministic key pair generation if the same IKM is used. The function checks that the provided parameters are valid and that the KEM algorithm is supported.

 ikm should be a non-empty byte string that serves as the seed for key pair generation.

RETURNS
0 on success, or a negative error code on failure

SINCE
3.8.13

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/